Package com.microblink.blinkid.entities.recognizers.blinkid.visa

# Class VisaRecognizer.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result
com.microblink.blinkid.entities.recognizers.Recognizer.Result
com.microblink.blinkid.entities.recognizers.blinkid.visa.VisaRecognizer.Result

All Implemented Interfaces:
  `android.os.Parcelable`, `EncodedFaceImageResult`, `EncodedFullDocumentImageResult`, `FaceImageResult`, `FullDocumentImageResult`

Enclosing class:
  VisaRecognizer

public static final class VisaRecognizer.Result extends Recognizer.Result implements FaceImageResult, EncodedFaceImageResult, FullDocumentImageResult, EncodedFullDocumentImageResult

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `Recognizer.Result.State`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<VisaRecognizer.Result>`
  `CREATOR`

  ### Fields inherited from class com.microblink.blinkid.entities.Entity.Result

  `mOwner`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.EncodedFaceImageResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.EncodedFullDocumentImageResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.FaceImageResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.FullDocumentImageResult

  `CLASS_NAME`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VisaRecognizer.Result`
  `clone()`
  Create a copy of the result.
  `protected void`
  `deserializeFromByteArray(byte[] arr)`
  `byte[]`
  `getEncodedFaceImage()`
  `byte[]`
  `getEncodedFullDocumentImage()`
  `Image`
  `getFaceImage()`
  `Image`
  `getFullDocumentImage()`
  `MrzResult`
  `getMrzResult()`
  The data extracted from the machine readable zone.
  `protected byte[]`
  `serializeToByteArray()`
  `protected void`
  `terminateNative(long nativeContext)`
  `String`
  `toString()`

  ### Methods inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `getResultState, isEmpty`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity.Result

  `describeContents, finalize, getNativeContext, readFromParcel, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<VisaRecognizer.Result> CREATOR

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult)

- ## Method Details

  - ### getFullDocumentImage

    @Nullable public Image getFullDocumentImage()
    Specified by:
      `getFullDocumentImage` in interface `FullDocumentImageResult`
    Returns:
      image of the full document if enabled with `FullDocumentImageOptions.setReturnFullDocumentImage(boolean)`, else `null`

  - ### getMrzResult

    @NonNull public MrzResult getMrzResult()
    The data extracted from the machine readable zone.

  - ### getEncodedFullDocumentImage

    @NonNull public byte[] getEncodedFullDocumentImage()
    Specified by:
      `getEncodedFullDocumentImage` in interface `EncodedFullDocumentImageResult`
    Returns:
      encoded full document image in JPEG format if enabled with `EncodeFullDocumentImagesOptions.setEncodeFullDocumentImage(boolean)` , else `null`

  - ### getEncodedFaceImage

    @NonNull public byte[] getEncodedFaceImage()
    Specified by:
      `getEncodedFaceImage` in interface `EncodedFaceImageResult`
    Returns:
      encoded face image in JPEG from the document if enabled with `EncodeFaceImageOptions.setEncodeFaceImage(boolean)` , else `null`

  - ### getFaceImage

    @Nullable public Image getFaceImage()
    Specified by:
      `getFaceImage` in interface `FaceImageResult`
    Returns:
      face image from the document if enabled with `FaceImageOptions.setReturnFaceImage(boolean)`, else `null`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    Returns:
      string version of this result

  - ### serializeToByteArray

    @Nullable protected byte[] serializeToByteArray()
    Specified by:
      `serializeToByteArray` in class `Entity.Result`

  - ### deserializeFromByteArray

    protected void deserializeFromByteArray(@NonNull byte[] arr)
    Specified by:
      `deserializeFromByteArray` in class `Entity.Result`

  - ### clone

    public VisaRecognizer.Result clone()
    Description copied from class: `Entity.Result`
    Create a copy of the result. This is required in order to retain the result even after owning entity has mutated it.
    Specified by:
      `clone` in class `Recognizer.Result`
    Returns:
      a copy of the result

  - ### terminateNative

    protected void terminateNative(long nativeContext)
    Specified by:
      `terminateNative` in class `Entity.Result`